package edu.cmu.cs.l3.absyn;

import edu.cmu.cs.l3.general.*;
import edu.cmu.cs.l3.semant.*;

public class ASType extends Visitable {

    public ASType(int p) {
	m_pos = p;
	m_classname = "ASType";
    }

    public int getPosition() {
	return m_pos;
    }

    public String toString() {
	return m_typename;
    }

    public String getTypeName() {
        return m_typename;
    }

    public void setTypeName(String typename) {
        m_typename = typename;
    }

    public ASTypeInfo getTypeInfo() {
	return m_typeinfo;
    }

    protected ASTypeInfo m_typeinfo = new ASTypeInfo();

    protected int m_pos;
    protected String m_typename;
}